diff -Nur org/config/chpasswd.inc.php html/config/chpasswd.inc.php
--- org/config/chpasswd.inc.php	1970-01-01 01:00:00.000000000 +0100
+++ html/config/chpasswd.inc.php	2005-12-28 13:10:31.000000000 +0100
@@ -0,0 +1,26 @@
+<?php
+
+// Datei um das Passwort in der Datenbank zu ?ndern
+
+
+$passwd_config = array();
+
+// datebank
+$passwd_config['db_msql'] = 'mysql://user-for-change-pw:passwd-for-change-passwd@localhost/another-DB';
+
+// Tabelle
+$passwd_config['msql_table'] = 'table-who-you-find-the-password';
+
+// DB Feld (Update)
+$passwd_config['update_field'] = 'field-where-your-password-are';
+
+// Where field
+$passwd_config['where_field'] = 'sould-be-an-unique-field';
+
+// SQL String
+$passwd_config['sql_update'] = sprintf("UPDATE %s SET %s = \"%s\" WHERE %s = \"%s\" ",
+	$passwd_config['msql_table'],
+	$passwd_config['update_field'],
+	$pwd['newpwd'],
+	$passwd_config['where_field'],
+	$pwd['sess_user']);
diff -Nur org/config/db.inc.php html/config/db.inc.php
--- org/config/db.inc.php	1970-01-01 01:00:00.000000000 +0100
+++ html/config/db.inc.php	2005-12-27 19:56:42.000000000 +0100
@@ -0,0 +1,62 @@
+<?php
+
+/*
+ +-----------------------------------------------------------------------+
+ | Configuration file for database access                                |
+ |                                                                       |
+ | This file is part of the RoundCube Webmail client                     |
+ | Copyright (C) 2005, RoundCube Dev. - Switzerland                      |
+ | Licensed under the GNU GPL                                            |
+ |                                                                       |
+ +-----------------------------------------------------------------------+
+
+*/
+
+$rcmail_config = array();
+
+// PEAR database DSN for read/write operations
+// format is db_provider://user:password@host/databse
+// currentyl suported db_providers: mysql, sqlite
+
+$rcmail_config['db_dsnw'] = 'mysql://user:pass@localhost/DB';
+// postgres example: 'pgsql://roundcube:pass@localhost/roundcubemail';
+// sqlite example: 'sqlite://./sqlite.db?mode=0646';
+
+// PEAR database DSN for read only operations (if empty write database will be used)
+// useful for database replication
+$rcmail_config['db_dsnr'] = '';
+
+// database backend to use (only db or mdb2 are supported)
+$rcmail_config['db_backend'] = 'db';
+
+// maximum length of a query in bytes
+$rcmail_config['db_max_length'] = 512000;  // 500K
+
+// you can define specific table names used to store webmail data
+$rcmail_config['db_table_users'] = 'users';
+
+$rcmail_config['db_table_identities'] = 'identities';
+
+$rcmail_config['db_table_contacts'] = 'contacts';
+
+$rcmail_config['db_table_session'] = 'session';
+
+$rcmail_config['db_table_cache'] = 'cache';
+
+$rcmail_config['db_table_messages'] = 'messages';
+
+
+// you can define specific sequence names used in PostgreSQL
+$rcmail_config['db_sequence_users'] = 'user_ids';
+
+$rcmail_config['db_sequence_identities'] = 'identity_ids';
+
+$rcmail_config['db_sequence_contacts'] = 'contact_ids';
+
+$rcmail_config['db_sequence_cache'] = 'cache_ids';
+
+$rcmail_config['db_sequence_messages'] = 'message_ids';
+
+
+// end db config file
+?>
diff -Nur org/config/db.inc.php.dist html/config/db.inc.php.dist
--- org/config/db.inc.php.dist	2005-12-03 17:54:12.000000000 +0100
+++ html/config/db.inc.php.dist	2005-12-27 19:56:28.000000000 +0100
@@ -18,7 +18,7 @@
 // format is db_provider://user:password@host/databse
 // currentyl suported db_providers: mysql, sqlite
 
-$rcmail_config['db_dsnw'] = 'mysql://roundcube:pass@localhost/roundcubemail';
+$rcmail_config['db_dsnw'] = 'mysql://user:pass@localhost/database';
 // postgres example: 'pgsql://roundcube:pass@localhost/roundcubemail';
 // sqlite example: 'sqlite://./sqlite.db?mode=0646';
 
diff -Nur org/config/main.inc.php html/config/main.inc.php
--- org/config/main.inc.php	1970-01-01 01:00:00.000000000 +0100
+++ html/config/main.inc.php	2005-12-27 19:59:14.000000000 +0100
@@ -0,0 +1,143 @@
+<?php
+
+/*
+ +-----------------------------------------------------------------------+
+ | Main configuration file                                               |
+ |                                                                       |
+ | This file is part of the RoundCube Webmail client                     |
+ | Copyright (C) 2005, RoundCube Dev. - Switzerland                      |
+ | Licensed under the GNU GPL                                            |
+ |                                                                       |
+ +-----------------------------------------------------------------------+
+
+*/
+
+$rcmail_config = array();
+
+
+// system error reporting: 1 = log; 2 = report (not implemented yet), 4 = show, 8 = trace
+$rcmail_config['debug_level'] = 5;
+
+// enable caching of messages and mailbox data in the local database.
+// this is recommended if the IMAP server does not run on the same machine
+$rcmail_config['enable_caching'] = TRUE;
+
+// automatically create a new RoundCube user when log-in the first time.
+// a new user will be created once the IMAP login succeeds.
+// set to false if only registered users can use this service
+$rcmail_config['auto_create_user'] = TRUE;
+
+// the mail host chosen to perform the log-in
+// leave blank to show a textbox at login, give a list of hosts
+// to display a pulldown menu or set one host as string.
+// To use SSL connection, enter ssl://hostname:993
+$rcmail_config['default_host'] = 'localhost';
+
+// TCP port used for IMAP connections
+$rcmail_config['default_port'] = 143;
+
+// This domain will be used to form e-mail addresses of new users
+// Specify an array with 'host' => 'domain' values to support multiple hosts
+$rcmail_config['mail_domain'] = 'mydomain.de';
+
+// Path to a virtuser table file to resolve user names and e-mail addresses
+$rcmail_config['virtuser_file'] = '';
+
+// use this host for sending mails.
+// to use SSL connection, set ssl://smtp.host.com
+// if left blank, the PHP mail() function is used
+$rcmail_config['smtp_server'] = 'localhost';
+
+// SMTP port (default is 25; 465 for SSL)
+$rcmail_config['smtp_port'] = 25;
+
+// SMTP username (if required) if you use %u as the username RoundCube
+// will use the current username for login
+$rcmail_config['smtp_user'] = '%u';
+
+// SMTP password (if required) if you use %p as the password RoundCube
+// will use the current user's password for login
+$rcmail_config['smtp_pass'] = '%p';
+
+// SMTP AUTH type (DIGEST-MD5, CRAM-MD5, LOGIN, PLAIN or empty to use
+// best server supported one)
+$rcmail_config['smtp_auth_type'] = 'PLAIN';
+
+// Log sent messages
+$rcmail_config['smtp_log'] = TRUE;
+
+// these cols are shown in the message list
+// available cols are: subject, from, to, cc, replyto, date, size, encoding
+$rcmail_config['list_cols'] = array('subject', 'from', 'cc', 'date', 'size');
+
+// relative path to the skin folder
+$rcmail_config['skin_path'] = 'skins/default/';
+
+// use this folder to store temp files (must be writebale for apache user)
+$rcmail_config['temp_dir'] = 'temp/';
+
+// use this folder to store log files (must be writebale for apache user)
+$rcmail_config['log_dir'] = 'logs/';
+
+// session lifetime in minutes
+$rcmail_config['session_lifetime'] = 10;
+
+// check client IP in session athorization
+$rcmail_config['ip_check'] = TRUE;
+
+// not sure what this was good for :-) 
+$rcmail_config['locale_string'] = 'de';
+
+// use this format for short date display
+$rcmail_config['date_short'] = 'D H:i';
+
+// use this format for detailed date/time formatting
+$rcmail_config['date_long'] = 'd.m.Y H:i';
+
+// add this user-agent to message headers when sending
+$rcmail_config['useragent'] = 'Outlook : A program to spread viri, but it can do mail too.';
+
+// only list folders within this path
+$rcmail_config['imap_root'] = '';
+
+// store sent message is this mailbox
+// leave blank if sent messages should not be stored
+$rcmail_config['sent_mbox'] = 'Sent';
+
+// move messages to this folder when deleting them
+// leave blank if they should be deleted directly
+$rcmail_config['trash_mbox'] = 'Trash';
+
+// display these folders separately in the mailbox list
+$rcmail_config['default_imap_folders'] = array('INBOX', 'Drafts', 'Sent', 'Junk', 'Trash');
+
+// default sort col
+$rcmail_config['message_sort_col'] = 'date';
+
+// default sort order
+$rcmail_config['message_sort_order'] = 'DESC';
+
+// path to a text file which will be added to each sent message
+// paths are relative to the RoundCube root folder
+$rcmail_config['generic_message_footer'] = '';
+
+// this string is used as a delimiter for message headers when sending
+$rcmail_config['mail_header_delimiter'] = "\r\n";
+
+
+/***** these settings can be overwritten by user's preferences *****/
+
+// show up to X items in list view
+$rcmail_config['pagesize'] = 40;
+
+// use this timezone to display date/time
+$rcmail_config['timezone'] = 1;
+
+// prefer displaying HTML messages
+$rcmail_config['prefer_html'] = TRUE;
+
+// show pretty dates as standard
+$rcmail_config['prettydate'] = TRUE;
+
+// end of config file
+?>
diff -Nur org/config/main.inc.php.dist html/config/main.inc.php.dist
--- org/config/main.inc.php.dist	2005-12-16 21:05:40.000000000 +0100
+++ html/config/main.inc.php.dist	1970-01-01 01:00:00.000000000 +0100
@@ -1,143 +0,0 @@
-<?php
-
-/*
- +-----------------------------------------------------------------------+
- | Main configuration file                                               |
- |                                                                       |
- | This file is part of the RoundCube Webmail client                     |
- | Copyright (C) 2005, RoundCube Dev. - Switzerland                      |
- | Licensed under the GNU GPL                                            |
- |                                                                       |
- +-----------------------------------------------------------------------+
-
-*/
-
-$rcmail_config = array();
-
-
-// system error reporting: 1 = log; 2 = report (not implemented yet), 4 = show, 8 = trace
-$rcmail_config['debug_level'] = 5;
-
-// enable caching of messages and mailbox data in the local database.
-// this is recommended if the IMAP server does not run on the same machine
-$rcmail_config['enable_caching'] = TRUE;
-
-// automatically create a new RoundCube user when log-in the first time.
-// a new user will be created once the IMAP login succeeds.
-// set to false if only registered users can use this service
-$rcmail_config['auto_create_user'] = TRUE;
-
-// the mail host chosen to perform the log-in
-// leave blank to show a textbox at login, give a list of hosts
-// to display a pulldown menu or set one host as string.
-// To use SSL connection, enter ssl://hostname:993
-$rcmail_config['default_host'] = '';
-
-// TCP port used for IMAP connections
-$rcmail_config['default_port'] = 143;
-
-// This domain will be used to form e-mail addresses of new users
-// Specify an array with 'host' => 'domain' values to support multiple hosts
-$rcmail_config['mail_domain'] = 'roundcube.net';
-
-// Path to a virtuser table file to resolve user names and e-mail addresses
-$rcmail_config['virtuser_file'] = '';
-
-// use this host for sending mails.
-// to use SSL connection, set ssl://smtp.host.com
-// if left blank, the PHP mail() function is used
-$rcmail_config['smtp_server'] = '';
-
-// SMTP port (default is 25; 465 for SSL)
-$rcmail_config['smtp_port'] = 25;
-
-// SMTP username (if required) if you use %u as the username RoundCube
-// will use the current username for login
-$rcmail_config['smtp_user'] = '';
-
-// SMTP password (if required) if you use %p as the password RoundCube
-// will use the current user's password for login
-$rcmail_config['smtp_pass'] = '';
-
-// SMTP AUTH type (DIGEST-MD5, CRAM-MD5, LOGIN, PLAIN or empty to use
-// best server supported one)
-$rcmail_config['smtp_auth_type'] = '';
-
-// Log sent messages
-$rcmail_config['smtp_log'] = TRUE;
-
-// these cols are shown in the message list
-// available cols are: subject, from, to, cc, replyto, date, size, encoding
-$rcmail_config['list_cols'] = array('subject', 'from', 'date', 'size');
-
-// relative path to the skin folder
-$rcmail_config['skin_path'] = 'skins/default/';
-
-// use this folder to store temp files (must be writebale for apache user)
-$rcmail_config['temp_dir'] = 'temp/';
-
-// use this folder to store log files (must be writebale for apache user)
-$rcmail_config['log_dir'] = 'logs/';
-
-// session lifetime in minutes
-$rcmail_config['session_lifetime'] = 10;
-
-// check client IP in session athorization
-$rcmail_config['ip_check'] = TRUE;
-
-// not sure what this was good for :-) 
-$rcmail_config['locale_string'] = 'en';
-
-// use this format for short date display
-$rcmail_config['date_short'] = 'D H:i';
-
-// use this format for detailed date/time formatting
-$rcmail_config['date_long'] = 'd.m.Y H:i';
-
-// add this user-agent to message headers when sending
-$rcmail_config['useragent'] = 'RoundCube Webmail/0.1b';
-
-// only list folders within this path
-$rcmail_config['imap_root'] = '';
-
-// store sent message is this mailbox
-// leave blank if sent messages should not be stored
-$rcmail_config['sent_mbox'] = 'Sent';
-
-// move messages to this folder when deleting them
-// leave blank if they should be deleted directly
-$rcmail_config['trash_mbox'] = 'Trash';
-
-// display these folders separately in the mailbox list
-$rcmail_config['default_imap_folders'] = array('INBOX', 'Drafts', 'Sent', 'Junk', 'Trash');
-
-// default sort col
-$rcmail_config['message_sort_col'] = 'date';
-
-// default sort order
-$rcmail_config['message_sort_order'] = 'DESC';
-
-// path to a text file which will be added to each sent message
-// paths are relative to the RoundCube root folder
-$rcmail_config['generic_message_footer'] = '';
-
-// this string is used as a delimiter for message headers when sending
-$rcmail_config['mail_header_delimiter'] = "\r\n";
-
-
-/***** these settings can be overwritten by user's preferences *****/
-
-// show up to X items in list view
-$rcmail_config['pagesize'] = 40;
-
-// use this timezone to display date/time
-$rcmail_config['timezone'] = 1;
-
-// prefer displaying HTML messages
-$rcmail_config['prefer_html'] = TRUE;
-
-// show pretty dates as standard
-$rcmail_config['prettydate'] = TRUE;
-
-// end of config file
-?>
diff -Nur org/index.php html/index.php
--- org/index.php	2005-12-16 21:05:40.000000000 +0100
+++ html/index.php	2005-12-28 01:06:23.000000000 +0100
@@ -297,9 +297,14 @@
 
   }
 
+if ($_task=='chpassword')
+  {
+  include_once('program/steps/chpassword/func.inc');
+  }
+
 
 // only allow these templates to be included
-$valid_tasks = array('mail','settings','addressbook');
+$valid_tasks = array('mail','settings','addressbook','chpassword');
 
 // parse main template
 if (in_array($_task, $valid_tasks))
@@ -312,5 +317,5 @@
                   'line' => __LINE__,
                   'file' => __FILE__,
                   'message' => "Invalid request"), TRUE, TRUE);
-                      
-?>
\ No newline at end of file
+            
+?>
diff -Nur org/program/include/main.inc html/program/include/main.inc
--- org/program/include/main.inc	2005-12-16 21:05:40.000000000 +0100
+++ html/program/include/main.inc	2005-12-28 01:11:01.000000000 +0100
@@ -913,7 +913,9 @@
         'identityform' => 'rcube_identity_form',
         'foldersubscription' => 'rcube_subscription_form',
         'createfolder' => 'rcube_create_folder_form',
-        'composebody' => 'rcmail_compose_body'
+        'composebody' => 'rcmail_compose_body',
+	'chpasswd' => 'chpassword'
+
       );
 
       if ($object=='loginform')
@@ -1373,4 +1375,4 @@
   }
 
 
-?>
\ No newline at end of file
+?>
diff -Nur org/program/js/app.js html/program/js/app.js
--- org/program/js/app.js	2005-12-16 21:05:41.000000000 +0100
+++ html/program/js/app.js	2005-12-28 13:19:06.000000000 +0100
@@ -102,7 +102,7 @@
       parent.rcmail.set_busy(false);
 
     // enable general commands
-    this.enable_command('logout', 'mail', 'addressbook', 'settings', true);
+    this.enable_command('logout', 'mail', 'addressbook', 'settings', 'chpassword', true);
     
     switch (this.task)
       {
@@ -453,6 +453,7 @@
       case 'mail':
       case 'addressbook':
       case 'settings':
+      case 'chpassword':
         this.switch_task(command);
         break;
 
diff -Nur org/program/steps/chpassword/func.inc html/program/steps/chpassword/func.inc
--- org/program/steps/chpassword/func.inc	1970-01-01 01:00:00.000000000 +0100
+++ html/program/steps/chpassword/func.inc	2005-12-28 13:12:25.000000000 +0100
@@ -0,0 +1,127 @@
+<?php
+
+require_once('lib/des.inc');
+
+function chpassword($attrib)
+{
+	print("<br><br><br>");
+	$pwd = array(
+	'sess_pwd' => $_SESSION['password'],
+	'sess_user' => $_SESSION['username'],
+	'oldpwd' => $_POST['_oldpwd'],
+	'newpwd' => $_POST['_newpwd'],
+	'rptpwd' => $_POST['_rptpwd'] );
+	
+/*	print_r($attrib);
+	print("<br>");
+	print_r($_POST);
+	print("<br>");
+	print_r($pwd);
+	print("<br>");
+	print_r($_SESSION);
+	*/
+
+
+  list($form_start, $form_end) = get_form_tags($attrib, 'save-prefs');
+  unset($attrib['form']);
+
+  $attrib_str = create_attrib_string($attrib, array('style', 'class', 'id', 'cellpadding', 'cellspacing', 'border', 'summary'));
+
+  // return the complete edit form as table
+  $out = "$form_start<table" . $attrib_str . ">\n\n";
+
+
+  $out .= "<table>";
+  $field_id = 'rcmfd_oldpwd';
+  $input_pagesize = new textfield(array('name' => '_oldpwd', 'id' => $field_id, 'size' => 20, 'type' => 'password'));
+  $out .= sprintf("<tr><td class=\"title\"><label for=\"%s\">%s</label></td><td>%s</td></tr><br>\n",
+                  $field_id,
+                  rep_specialchars_output('Altes Kennwort'),
+                  $input_pagesize->show($CONFIG['']));
+
+  // new password
+  $field_id = 'rcmfd_newpwd';
+  $input_pagesize = new textfield(array('name' => '_newpwd', 'id' => $field_id, 'size' => 20, 'type' => 'password'));
+
+  $out .= sprintf("<tr><td class=\"title\"><label for=\"%s\">%s</label></td><td>%s</td></tr><br>\n",
+                  $field_id,
+                  rep_specialchars_output('neues Kennwort'),
+                  $input_pagesize->show($CONFIG['']));
+  
+  // repeat
+  $field_id = 'rcmfd_rptpwd';
+  $input_pagesize = new textfield(array('name' => '_rptpwd', 'id' => $field_id, 'size' => 20, 'type' => 'password'));
+
+  $out .= sprintf("<tr><td class=\"title\"><label for=\"%s\">%s</label></td><td>%s</td></tr>\n",
+                  $field_id,
+                  rep_specialchars_output('Wiederholen'),
+                  $input_pagesize->show($CONFIG['']));
+  $out .= "</table>";
+
+  $out .= "<input type=submit name=senden value=aendern>$form_end";
+  
+  if ($_POST['_action'] == "update_pass") {
+  $out = change_passwd($pwd,$out); }
+
+  return($out);
+
+}
+  
+function change_passwd($pwd,$out) {
+
+	if ($pwd['sess_user'] && $pwd['sess_pwd']) {
+
+		if (encrypt_passwd($pwd['oldpwd']) == $pwd['sess_pwd'] && $pwd['newpwd'] && $pwd['rptpwd'] == $pwd['newpwd']) {
+	
+			$out = sprintf("Passw?rter wurden ge?ndert");
+			 // Nun das Passwort auch noch aendern
+			 include_once('config/chpasswd.inc.php');
+
+			 $DB_PASSWD = new rcube_db($passwd_config['db_msql']);
+			 $DB_PASSWD->query($passwd_config['sql_update']);
+		}
+		else {
+			$out .= sprintf("Passw?rter stimmen nicht");
+		}
+	}
+	else {
+		$out .= sprintf("Authentification failed");
+	}
+
+	return($out);
+}
+
+function get_form_tags($attrib, $action, $add_hidden=array())
+  {
+  global $OUTPUT, $JS_OBJECT_NAME, $EDIT_FORM, $SESS_HIDDEN_FIELD;
+
+  $form_start = '';
+  if (!strlen($EDIT_FORM))
+    {
+    $hiddenfields = new hiddenfield(array('name' => '_task', 'value' => $GLOBALS['_task']));
+    $hiddenfields->add(array('name' => '_action', 'value' => 'update_pass'));
+
+    if ($add_hidden)
+      $hiddenfields->add($add_hidden);
+
+    if ($_GET['_framed'] || $_POST['_framed'])
+      $hiddenfields->add(array('name' => '_framed', 'value' => 1));
+
+    $form_start = !strlen($attrib['form']) ? '<form name="form" action="./" method="post">' : '';
+    $form_start .= "\n$SESS_HIDDEN_FIELD\n";
+    $form_start .= $hiddenfields->show();
+    }
+
+  $form_end = (!strlen($EDIT_FORM) && !strlen($attrib['form'])) ? '</form>' : '';
+  $form_name = strlen($attrib['form']) ? $attrib['form'] : 'form';
+
+  if (!strlen($EDIT_FORM))
+    $OUTPUT->add_script("$JS_OBJECT_NAME.gui_object('editform', '$form_name');");
+
+  $EDIT_FORM = $form_name;
+
+  return array($form_start, $form_end);
+  }
+	
+
+?>
diff -Nur org/skins/default/chpasswd.css html/skins/default/chpasswd.css
--- org/skins/default/chpasswd.css	1970-01-01 01:00:00.000000000 +0100
+++ html/skins/default/chpasswd.css	2005-12-28 01:21:35.000000000 +0100
@@ -0,0 +1,27 @@
+/***** RoundCube|Mail settings task styles *****/
+
+
+#chpasswd-box
+{
+  position: absolute;
+  top: 95px;
+  left: 20px;
+  width: 550px;
+  border: 1px solid #999999;  
+}
+
+#chpasswd-box table td.title
+{
+  color: #666666;
+  padding-right: 10px;
+}
+
+#chpasswd-title
+
+/*
+#subscription-table tbody td select
+{
+  width: 150px;
+}
+*/
+
diff -Nur org/skins/default/common.css html/skins/default/common.css
--- org/skins/default/common.css	2005-10-21 14:12:23.000000000 +0200
+++ html/skins/default/common.css	2005-12-28 01:00:24.000000000 +0100
@@ -161,6 +161,10 @@
   background-image: url(images/buttons/logout.gif);
 }
 
+a.button-chpassword
+{
+  background-image: url(images/buttons/password.gif);
+}
 
 #message
 {
Binary files org/skins/default/images/buttons/password.gif and html/skins/default/images/buttons/password.gif differ
diff -Nur org/skins/default/includes/chpasswd.html html/skins/default/includes/chpasswd.html
--- org/skins/default/includes/chpasswd.html	1970-01-01 01:00:00.000000000 +0100
+++ html/skins/default/includes/chpasswd.html	2005-12-28 02:32:34.000000000 +0100
@@ -0,0 +1,14 @@
+<script type="text/javascript">
+
+if (window.rcmail && rcmail.env.action)
+  {
+  var action = rcmail.env.action=='preferences' ? 'default' : (rcmail.env.action.indexOf('identity')>0 ? 'identities' : rcmail.env.action);
+  var tab = document.getElementById('settingstab'+action);
+  }
+else 
+  var tab = document.getElementById('settingstabdefault');
+  
+if (tab)
+  tab.className = 'tablink-selected';
+
+</script>
\ No newline at end of file
diff -Nur org/skins/default/includes/taskbar.html html/skins/default/includes/taskbar.html
--- org/skins/default/includes/taskbar.html	2005-10-27 00:12:36.000000000 +0200
+++ html/skins/default/includes/taskbar.html	2005-12-28 01:00:47.000000000 +0100
@@ -2,5 +2,6 @@
 <roundcube:button command="mail" label="mail" class="button-mail" />
 <roundcube:button command="addressbook" label="addressbook" class="button-addressbook" />
 <roundcube:button command="settings" label="settings" class="button-settings" />
+<roundcube:button command="chpassword" label="password" class="button-chpassword" />
 <roundcube:button command="logout" label="logout" class="button-logout" />
-</div>
\ No newline at end of file
+</div>
diff -Nur org/skins/default/templates/chpassword.html html/skins/default/templates/chpassword.html
--- org/skins/default/templates/chpassword.html	1970-01-01 01:00:00.000000000 +0100
+++ html/skins/default/templates/chpassword.html	2005-12-28 13:11:43.000000000 +0100
@@ -0,0 +1,24 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<html xmlns="http://www.w3.org/1999/xhtml">
+<head>
+<title><roundcube:object name="pagetitle" /></title>
+<roundcube:include file="/includes/links.html" />
+<link rel="stylesheet" type="text/css" href="/chpasswd.css" />
+</head>
+<body>
+
+<roundcube:include file="/includes/taskbar.html" />
+<roundcube:include file="/includes/header.html" />
+
+<div id="chpasswd-box">
+<div id="chpasswd-title"><roundcube:label name="password" /></div>
+
+<div style="padding:15px">
+<roundcube:object name="chpasswd">
+
+</div>
+</div>
+
+
+</body>
+</html>
